import type { NextPage } from "next";
import Head from "next/head";
import styles from "../styles/Home.module.css";
import styled from "styled-components";
import Link from "next/link";

const H1 = styled.h1`
  color: red;
`;

const Links = styled.div`
  margin-top: 16px;
  display: grid;
  grid-template-columns: 1fr;
  gap: 8px;

  & a {
    text-decoration: underline;
  }
`

const Home: NextPage = () => {
  return (
    <div className={styles.container}>
      <Head>
        <title>Create Next App</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <main className={styles.main}>
        <H1 className={styles.title}>
          Welcome to <a href="https://nextjs.org">Next.js!</a>
        </H1>

        <p className={styles.description}>
          Get started by editing{" "}
          <code className={styles.code}>pages/index.tsx</code>
        </p>

        <div>
          <span>以下styled-componentの各サンプルコードのページへのリンクになります</span>
          <Links>
            <Link href="/badge">
              <a>Badgeの例</a>
            </Link>
            <Link href="/props-sample">
              <a>propsを使う例</a>
            </Link>
            <Link href="/mixin-sample">
              <a>mixinを使う例</a>
            </Link>
            <Link href="/inheritance-sample">
              <a>継承を使う例</a>
            </Link>
            <Link href="/as-sample">
              <a>スタイルを他のコンポーネントで使用する例</a>
            </Link>
            <Link href="/styled-link-sample">
              <a>Next.jsのコンポーネントにスタイルを適用する例</a>
            </Link>
            <Link href="/theme-sample">
              <a>テーマを使う例</a>
            </Link>
          </Links>
        </div>
      </main>
    </div>
  );
};

export default Home;
